Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ECG_Mcast_Gateway.cpp File Reference

`#include "ECG_Mcast_Gateway.h"`
`#include "EC_Lifetime_Utils_T.h"`
`#include "ECG_Simple_Address_Server.h"`
`#include "ECG_Complex_Address_Server.h"`
`#include "ECG_Simple_Mcast_EH.h"`
`#include "ECG_Mcast_EH.h"`
`#include "ECG_UDP_EH.h"`
`#include "orbsvcs/orbsvcs/Event_Utilities.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "tao/ORB_Core.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ECG_Mcast_Gateway.i"`

Include dependency graph for ECG_Mcast_Gateway.cpp:

## Typedefs
typedef TAO_EC_Shutdown_Command< TAO_EC_Servant_Var< TAO_ECG_UDP_Sender > > | UDP_Sender_Shutdown
typedef TAO_EC_Shutdown_Command< TAO_EC_Servant_Var< TAO_ECG_UDP_Receiver > > | UDP_Receiver_Shutdown
## Functions
const char * | get_rcsid_Event_ECG_Mcast_Gateway (const char *)
## Variables
const char * | rcsid_Event_ECG_Mcast_Gateway = get_rcsid_Event_ECG_Mcast_Gateway ( rcsid_Event_ECG_Mcast_Gateway )

## Typedef Documentation

typedef TAO_EC_Shutdown_Command<TAO_EC_Servant_Var<TAO_ECG_UDP_Receiver> > UDP_Receiver_Shutdown

typedef TAO_EC_Shutdown_Command<TAO_EC_Servant_Var<TAO_ECG_UDP_Sender> > UDP_Sender_Shutdown

## Function Documentation

const char* get_rcsid_Event_ECG_Mcast_Gateway | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_Event_ECG_Mcast_Gateway = get_rcsid_Event_ECG_Mcast_Gateway ( rcsid_Event_ECG_Mcast_Gateway )`[static]`